## mycompiler.mytype
Class RefType

    java.lang.Object
      mycompiler.mytype.Type
          mycompiler.mytype.RefType

Direct Known Subclasses:
  Void

    public class RefType

extends Type

Field Summary

Fields inherited from class mycompiler.mytype.Type
`hamaDebug, name, used`

Constructor Summary
`RefType()`
`RefType(RefType R)`
`RefType(java.lang.String s)`
`RefType(java.lang.String s, de.dhbwstuttgart.typeinference.Menge parameter)`

Method Summary
`void` `add_Parameter(java.lang.Object o)`
`RefType` `clone()` Author: J�rg B�uerle
`boolean` `equals(java.lang.Object obj)` Author: J�rg B�uerle
`boolean` `Equiv2Equal(RefType ty2, java.util.Hashtable ht)`
`de.dhbwstuttgart.typeinference.Menge` `get_ParaList()`
`java.lang.String` `getName()`
`java.lang.String` `getParaN(int n)`
`java.lang.String` `getTypeName()`
`boolean` `is_Equiv(RefType ty2, java.util.Hashtable ht)`
`boolean` `isTV(int n)`
`void` `set_ParaList(de.dhbwstuttgart.typeinference.Menge v)`
`void` `setName(java.lang.String name)`
`java.lang.String` `Type2Key()`
`java.lang.String` `Type2String()`

Methods inherited from class mycompiler.mytype.Type
`get_codegen_Type, get_Name, get_UsedId, set_UsedId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RefType

    public RefType()

### RefType

    public RefType(java.lang.String s)

### RefType

    public RefType(java.lang.String s,
                   de.dhbwstuttgart.typeinference.Menge parameter)

### RefType

    public RefType(RefType R)

Method Detail

### Type2Key

    public java.lang.String Type2Key()

  Overrides:
    `Type2Key` in class `Type`

### Type2String

    public java.lang.String Type2String()

  Overrides:
    `Type2String` in class `Type`

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `Type`

### set_ParaList

    public void set_ParaList(de.dhbwstuttgart.typeinference.Menge v)

### get_ParaList

    public de.dhbwstuttgart.typeinference.Menge get_ParaList()

### add_Parameter

    public void add_Parameter(java.lang.Object o)

### getTypeName

    public java.lang.String getTypeName()

### getParaN

    public java.lang.String getParaN(int n)
                              throws SCException

  Throws:
    `SCException`

### isTV

    public boolean isTV(int n)

### is_Equiv

    public boolean is_Equiv(RefType ty2,
                            java.util.Hashtable ht)

### Equiv2Equal

    public boolean Equiv2Equal(RefType ty2,
                               java.util.Hashtable ht)

### equals

    public boolean equals(java.lang.Object obj)

  Author: J�rg B�uerle

  Overrides:
    `equals` in class `Type`
  Parameters:
    `Object` -
  Returns:

### clone

    public RefType clone()

  Description copied from class: `Type`
  Author: J�rg B�uerle

  Overrides:
    `clone` in class `Type`